%define name gwcalc
%define version 0.3.3
%define release %mkrel 1

Summary:        gWcalc is a GUI for wcalc
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Office
License:        GPLv3
URL:            http://jcoppens.com/soft/gwcalc/index.en.php/
Source0:        http://sourceforge.net/projects/gw-calc/%{name}-%{version}.tar.xz
Source1:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig
BuildRequires:  GConf-devel
BuildRequires:  gettext
BuildRequires:  directfb-devel
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
Requires: wcalc

%description
gWcalc is a front end for the excellent wcalc calculator program by Kyle
Wheeler at http://w-calc.sourceforge.net/.

%prep
%setup -q


%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

%find_lang %{name}

#menu-entry
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=gWcalc
Comment=gWcalc is a front end for wcalc calculator
Exec=%{name}
Icon=%{name}.png
StartupNotify=true
Terminal=false
Type=Application
Categories=GTK;Office;X-MandrivaLinux-Office-Accessories;
EOF

#icon
install -D -m 644 %SOURCE1 %buildroot%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/gwcalc.1.bz2
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Jun 13 2010 slick50 <lxgator@gmail.com> 0.3.2-1pclos2010
- 0.3.2

* Mon Jun 07 2010 slick50 <lxgator@gmail.com> 0.3.1-1pclos2010
- initial build
 
